Bug 250848 - ports-mgmt/portdowngrade: reproduced using either subersion 1.14 or LTS
Summary: ports-mgmt/portdowngrade: reproduced using either subersion 1.14 or LTS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-04 03:32 UTC by Norikatsu Shigemura
Modified: 2020-11-07 08:16 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (crees)


Attachments
Respect WITH_SUBVERSION_VER (467 bytes, patch)
2020-11-04 03:32 UTC, Norikatsu Shigemura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Norikatsu Shigemura 2020-11-04 03:32:06 UTC
Created attachment 219343 [details]
Respect WITH_SUBVERSION_VER

Respect WITH_SUBVERSION_VER.
Comment 1 commit-hook freebsd_committer 2020-11-07 08:16:04 UTC
A commit references this bug:

Author: crees
Date: Sat Nov  7 08:15:03 UTC 2020
New revision: 554347
URL: https://svnweb.freebsd.org/changeset/ports/554347

Log:
  ports-mgmt/portdowngrade: No need for svn dep

  It is highly unlikely to be installed on a system without svnlite

  PR:		ports/250848

Changes:
  head/ports-mgmt/portdowngrade/Makefile
  head/ports-mgmt/portdowngrade/files/portdowngrade
Comment 2 Chris Rees freebsd_committer 2020-11-07 08:16:43 UTC
To be honest, the dependency predates svnlite in base, so I've removed it, thanks.

Have you considered making Mk/Uses/subversion.mk ?